{% extends 'base.html' %}

{% block additionalHeader %}
    <meta charset="utf-8">
    <title> Menggunakan Barang - Create </title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
{% endblock %}

{% block content %}
{% include 'base.html' %}

<h1> FORM BUAT MENGGUNAKAN BARANG </h1>

<form id="mb-form" action="{% url 'submit-create-menggunakan-barang' %}" method="post">
    {% csrf_token %}
    <label for="tokoh"> Tokoh: </label>
    <select id="tokoh" name="tokoh" required>
        <option value=""> --- </option>
        {% for tokoh in hasil %}
            <option value="{{ tokoh.nama }}"> {{ tokoh.nama }} </option>
        {% endfor %}
    </select>

    <br>

    <label for="barang"> Barang: </label>
    <select id="barang" name="barang" required>
        <option class="after" value=""> --- </option>
    </select>

    <br>

    <input type="submit" value="Pakai">
</form>

{% if messages %}
<ul class="messages">
    {% for message in messages %}
    <div class="alert alert-danger" role="alert">
        {{ message }}
    </div>
    {% endfor %}
</ul>
{% endif %}

<script>
        $(document.body).on('change', "#mb-form select[name='tokoh']", function(){
            $("#mb-form select[name='barang']").find('.after').nextAll().remove();;
            var $this = $(this);
            if ($this.val() != '') {
                $.ajax({
                        url: '/menggunakan-barang/get-barang/'+$this.val(),
                        type: 'GET',
                        success: function(response) {
                            let options = '';
                            response.data.forEach(barang => {
                                options+='<option value='+barang[1]+'>'+barang[0]+'</option>';
                            });
                            $("#mb-form select[name='barang']").find('.after').after(options);
                        }
                    });
                } else {
                    $("#mb-form select[name='barang']").find('.after').nextAll().remove();
                }
            });
    </script>

{% endblock %}
